import * as NodeCache from 'node-cache';
export interface Cache {
    Name: string;
    NodeCache: NodeCache;
}
export interface ICacheHelper {
    Caches: Cache[];
    Add(cacheName: string, key: string, value: any): boolean;
    Delete(cacheName: string, key: string): boolean;
    FindCache(cacheName: string): NodeCache;
    Flush(cacheName: string): void;
    Get(cacheName: string, key: string): any | undefined;
    Initialize(cacheNames: string[], cacheExpirationSeconds: number): void;
    Replace(cacheName: string, key: string, value: any): void;
}
